Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Class OrderLineImpl

    java.lang.Object
      com.beasys.commerce.foundation.BelongingImpl
          com.beasys.commerce.ebusiness.order.OrderLineImpl

All Implemented Interfaces
  OrderLine, Belonging, BusinessSmartComponent, RelationalReference, Serializable, Cloneable, Comparable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class OrderLineImpl

extends BelongingImpl
implements OrderLine

OrderLine represents one line in an Order. It contains a reference to an Item, a Quantity, a unitPrice and a list of Adjustments to the total line price.

See Also
  `OrderLine`, `OrderLineHome`, Serialized Form

Field Summary
`ArrayList` | `adjustmentPresentations` Deprecated See BEA Commerce product offering
`String` | `description` Deprecated See BEA Commerce product offering
`Money` | `msrp` Deprecated See BEA Commerce product offering
`String` | `productIdentifier` Deprecated See BEA Commerce product offering
`double` | `quantity` Deprecated See BEA Commerce product offering
`Money` | `shipping` Deprecated See BEA Commerce product offering
`Money` | `tax` Deprecated See BEA Commerce product offering
`double` | `totalLineAmount` Deprecated See BEA Commerce product offering
`Money` | `unitPrice` Deprecated See BEA Commerce product offering

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`OrderLineImpl()` Deprecated See BEA Commerce product offering

Method Summary
`int` | `compareTo(Object o)` Deprecated See BEA Commerce product offering
`protected void` | `freezeId()` Deprecated See BEA Commerce product offering
`ArrayList` | `getAdjustmentPresentations()` Deprecated See BEA Commerce product offering
`String` | `getDescription()` Deprecated See BEA Commerce product offering
`long` | `getId()` Deprecated See BEA Commerce product offering
`Money` | `getLineTotal(int totalType)` Deprecated See BEA Commerce product offering
`Money` | `getMsrp()` Deprecated See BEA Commerce product offering
`String` | `getProductIdentifier()` Deprecated See BEA Commerce product offering
`double` | `getQuantity()` Deprecated See BEA Commerce product offering
`Money` | `getShipping()` Deprecated See BEA Commerce product offering
`Money` | `getTax()` Deprecated See BEA Commerce product offering
`double` | `getTotalLineAmount()` Deprecated See BEA Commerce product offering
`Money` | `getUnitPrice()` Deprecated See BEA Commerce product offering
`String` | `interfaceName()` Deprecated See BEA Commerce product offering
`void` | `setAdjustmentPresentations(ArrayList adjustmentPresentations)` Deprecated See BEA Commerce product offering
`void` | `setByValue(Belonging value)` Deprecated See BEA Commerce product offering
`void` | `setDescription(String description)` Deprecated See BEA Commerce product offering
`void` | `setId(long id)` Deprecated See BEA Commerce product offering
`void` | `setMsrp(Money msrp)` Deprecated See BEA Commerce product offering
`void` | `setProductIdentifier(String productIdentifier)` Deprecated See BEA Commerce product offering
`void` | `setQuantity(double quantity)` Deprecated See BEA Commerce product offering
`void` | `setShipping(Money shipping)` Deprecated See BEA Commerce product offering
`void` | `setTax(Money tax)` Deprecated See BEA Commerce product offering
`void` | `setTotalLineAmount(double totalLineAmount)` Deprecated See BEA Commerce product offering
`void` | `setUnitPrice(Money unitPrice)` Deprecated See BEA Commerce product offering
`Belonging` | `value()` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals`

Field Detail

### quantity

    public double quantity

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### totalLineAmount

    public double totalLineAmount

  Deprecated See BEA Commerce product offering
  The total for the line

### tax

    public Money tax

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### unitPrice

    public Money unitPrice

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### shipping

    public Money shipping

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### msrp

    public Money msrp

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### productIdentifier

    public String productIdentifier

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### description

    public String description

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### adjustmentPresentations

    public ArrayList adjustmentPresentations

  Deprecated See BEA Commerce product offering
  the list of OrderAdjustmentPresentation objects relating to a particular line. This will only be filled if OrderAsjustmentPersistence select has been called on the parent order.

Constructor Detail

### OrderLineImpl

    public OrderLineImpl()

  Deprecated See BEA Commerce product offering

Method Detail

### getQuantity

    public double getQuantity()

  Deprecated See BEA Commerce product offering

  Get the value of quantity

  Specified by:
    `getQuantity` in interface `OrderLine`
  Returns
    quantity.

### setQuantity

    public void setQuantity(double quantity)

  Deprecated See BEA Commerce product offering

  Set the value of quantity

  Specified by:
    `setQuantity` in interface `OrderLine`
  Parameters
    `quantity` - quantity to be added

### getTotalLineAmount

    public double getTotalLineAmount()

  Deprecated See BEA Commerce product offering

  Get the value of totalLineAmount

  Specified by:
    `getTotalLineAmount` in interface `OrderLine`
  Returns
    totalLineAmount.

### setTotalLineAmount

    public void setTotalLineAmount(double totalLineAmount)

  Deprecated See BEA Commerce product offering

  Set the value of subTotalAmount

  Specified by:
    `setTotalLineAmount` in interface `OrderLine`
  Parameters
    `subTotalAmount` - subTotalAmount to be added

### getTax

    public Money getTax()

  Deprecated See BEA Commerce product offering

  Get the value of tax

  Specified by:
    `getTax` in interface `OrderLine`
  Returns
    tax.

### setTax

    public void setTax(Money tax)

  Deprecated See BEA Commerce product offering

  Set the value of tax

  Specified by:
    `setTax` in interface `OrderLine`
  Parameters
    `tax` - tax to be added

### getUnitPrice

    public Money getUnitPrice()

  Deprecated See BEA Commerce product offering

  Get the value of unitPrice

  Specified by:
    `getUnitPrice` in interface `OrderLine`
  Returns
    unitPrice.

### setUnitPrice

    public void setUnitPrice(Money unitPrice)

  Deprecated See BEA Commerce product offering

  Set the value of unitPrice

  Specified by:
    `setUnitPrice` in interface `OrderLine`
  Parameters
    `unitPrice` - unitPrice to be added

### getShipping

    public Money getShipping()

  Deprecated See BEA Commerce product offering

  Get the value of shipping

  Specified by:
    `getShipping` in interface `OrderLine`
  Returns
    shipping.

### setShipping

    public void setShipping(Money shipping)

  Deprecated See BEA Commerce product offering

  Set the value of shipping

  Specified by:
    `setShipping` in interface `OrderLine`
  Parameters
    `shipping` - shipping to be added

### getProductIdentifier

    public String getProductIdentifier()

  Deprecated See BEA Commerce product offering

  Get the value of productIdentifier

  Specified by:
    `getProductIdentifier` in interface `OrderLine`
  Returns
    productIdentifier.

### setProductIdentifier

    public void setProductIdentifier(String productIdentifier)

  Deprecated See BEA Commerce product offering

  Set the value of productIdentifier

  Specified by:
    `setProductIdentifier` in interface `OrderLine`
  Parameters
    `productIdentifier` - productIdentifier to be added

### getMsrp

    public Money getMsrp()

  Deprecated See BEA Commerce product offering

  Get the value of Msrp

  Specified by:
    `getMsrp` in interface `OrderLine`
  Returns
    Msrp.

### setMsrp

    public void setMsrp(Money msrp)

  Deprecated See BEA Commerce product offering

  Set the value of Msrp

  Specified by:
    `setMsrp` in interface `OrderLine`
  Parameters
    `Msrp` - Msrp to be added

### getDescription

    public String getDescription()

  Deprecated See BEA Commerce product offering

  Get the value of description

  Specified by:
    `getDescription` in interface `OrderLine`
  Returns
    description.

### setDescription

    public void setDescription(String description)

  Deprecated See BEA Commerce product offering

  Set the value of description

  Specified by:
    `setDescription` in interface `OrderLine`
  Parameters
    `description` - description to be added

### getAdjustmentPresentations

    public ArrayList getAdjustmentPresentations()

  Deprecated See BEA Commerce product offering

  Get the list of OrderAdjustmentPresentation objects

  Specified by:
    `getAdjustmentPresentations` in interface `OrderLine`
  Returns
    an array list

### setAdjustmentPresentations

    public void setAdjustmentPresentations(ArrayList adjustmentPresentations)

  Deprecated See BEA Commerce product offering

  Set the list of OrderAdjustmentPresentation object

  Specified by:
    `setAdjustmentPresentations` in interface `OrderLine`
  Parameters
    `adjustments,` - the list of OrderDiscountPresentations

### getId

    public long getId()

  Deprecated See BEA Commerce product offering

  Get order line id. This id matches the primary key in the database.

  Specified by:
    `getId` in interface `OrderLine`
  Returns
    an array list

### setId

    public void setId(long id)

  Deprecated See BEA Commerce product offering

  Set the order line id. This id is the primary key for this OrderLine in the database. Because of this, all calls to setId AFTER the OrderLine is first persisted will fail. A debug message will be sent to the log in in this case.

  Specified by:
    `setId` in interface `OrderLine`
  Parameters
    `id` - the long order line id.

### freezeId

    protected void freezeId()

  Deprecated See BEA Commerce product offering

  Once this method is called, any calls to setId() will fail. This causes id to be frozen after this OrderLine is first persisted in the database. It must be this way since the id is this OrderLine's primary key. This method is called by the WLCS internals.

### value

    public Belonging value()

  Deprecated See BEA Commerce product offering

  value() is a more typesafe implementation of clone()

  Specified by:
    `value` in interface `Belonging`
  Returns
    a clone of this instance

### interfaceName

    public String interfaceName()

  Deprecated See BEA Commerce product offering

  interfaceName() returns the unqualified name of the interface from the UML model

  Specified by:
    `interfaceName` in interface `Belonging`
  Returns
    the unqualified name of the belonging interface from the UML model

### setByValue

    public void setByValue(Belonging value)

  Deprecated See BEA Commerce product offering

  It is possible to call set-by-value with a superclass. If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values.

  It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Specified by:
    `setByValue` in interface `Belonging`
  Overrides:
    `setByValue` in class `BelongingImpl`
  Parameters
    `value` - The `Belonging` to use for initialization.

### compareTo

    public int compareTo(Object o)

  Deprecated See BEA Commerce product offering

  Compare this belonging to another

  Specified by:
    `compareTo` in interface `Comparable`
  Specified by:
    `compareTo` in class `BelongingImpl`
  Parameters
    `o` - target object for comparision
  Returns
    0 objects are equal

### getLineTotal

    public Money getLineTotal(int totalType)
                       throws InvalidArgumentException

  Deprecated See BEA Commerce product offering

  Gets the line total for the given total type

  Specified by:
    `getLineTotal` in interface `OrderLine`
  Parameters
    `total` - type
  Throws
    `InvalidArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved